version: '3'
services:
  autohaus-nettmann:
    image: enno-autohaus-nettmann:devel
    ports:
      - 80:80
    volumes:
      - ../src:/var/www/html:ro
    environment:
      - MYSQL_HOST=mariadb
      - MYSQL_DATABASE=autohaus-nettmann
      - MYSQL_USER=root
      - MYSQL_PASSWORD=rootpwd
    depends_on:
      - mariadb

  mariadb:
    image: mariadb:latest
    volumes:
      - mariadb-data:/var/lib/mysql
    environment:
      - TZ=Europe/Berlin
      - MYSQL_ALLOW_EMPTY_PASSWORD=no
      - MYSQL_ROOT_PASSWORD=rootpwd

volumes:
  mariadb-data:
